SOLUTION_MASTER_SPECIES
  Perchlorate Perchlorate- 0 35 35
  [N]    [N]O3-            0.0  14.0067 14.0067

SOLUTION_SPECIES
  Perchlorate- = Perchlorate-
  log_k 0

  [N]O3- = [N]O3-
  log_k 0

# turn off the reduction of nitrate
#NH4 secondary master species 127
        NO3- + 10H+ + 8e- = NH4+ + 3H2O
        log_k           -99
#N2  secondary master species
        2 NO3- + 12 H+ + 10 e- = N2 + 6 H2O
        log_k           -99

PHASES
  Fixed_H+
  H+ = H+
  log_k 0.

END

# the above is fixed and so can be 'pre-loop' (run only once)

SURFACE 1
Hfo_w   <Hfo_w> 600 <mass>
Hfo_s   <Hfo_s>

SELECTED_OUTPUT
  -reset FALSE
  -pH TRUE

USER_PUNCH
  -headings %sorbed
  10 elt = SYS("<el>")
  20 IF (elt>0) THEN pcsorbed = 100*SURF("<el>","Hfo")/elt ELSE pcsorbed = 0
  30 PUNCH pcsorbed

EQUILIBRIUM_PHASES
Fixed_H+ -<x_axis> <base> 1
-force_equality true
O2(g)  <O2>

SOLUTION 1
  -units mol/kgw
  pH         <x_axis>
  <el>       <totel>
  <cation>   <mu>
  <anion>    <mu>
  <solutionspecies>

END
