# pre-loop simulation
SOLUTION_MASTER_SPECIES
  Perchlorate Perchlorate- 0 35 35
  [N]    [N]O3-            0.0  14.0067 14.0067

SOLUTION_SPECIES
  Perchlorate- = Perchlorate-
  log_k 0

  [N]O3- = [N]O3-
  log_k 0

# turn off the reduction of nitrate
#NH4 secondary master species 127
        NO3- + 10H+ + 8e- = NH4+ + 3H2O
        log_k           -99
#N2  secondary master species
        2 NO3- + 12 H+ + 10 e- = N2 + 6 H2O
        log_k           -99

PHASES
  Fixed_H+
  H+ = H+
  log_k 0.

SELECTED_OUTPUT
  -reset FALSE
  -pH TRUE

END


# main loop simulation


USER_PUNCH
  -headings %sorbed
  10 elt = SYS("<el>")
  20 pcsorbed = 0
  30 IF (elt>0) THEN pcsorbed = 100*SURF("<el>","Hfo")/elt
  40 PUNCH pcsorbed

# first simulation equilibrates surface at correct pH
SOLUTION 1
  -units mol/kgw
  pH   <pHin>
  <cation>   <mu>
  <anion>    <mu>
  <solutionspecies>

SURFACE 1
  Hfo_w   <Hfo_w> 600. <mass>
  Hfo_s   <Hfo_s>

EQUILIBRIUM_PHASES
  Fixed_H+ -<pHin> <base> 1
  -force_equality true
  O2(g)  <O2>

# now add the element to the equilibrated surface

SOLUTION 1
  -units mol/kgw
  pH   <pHin>
  <el>  <totel>
  <cation>   <mu>
  <anion>    <mu>
  <solutionspecies>

END
